linux: 4.2.0-29.34 -proposed tracker

Bug #1543167 reported by Luis Henriques on 2016-02-08
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Po-Hsu Lin
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Wily
Medium
Unassigned

Bug Description

This bug is for tracking the 4.2.0-29.34 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 08. February 2016 15:19 UTC
kernel-stable-Prepare-package-end:Tuesday, 09. February 2016 10:45 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 09. February 2016 10:45 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 09. February 2016 18:34 UTC
kernel-stable-Verification-testing-start:Tuesday, 09. February 2016 20:01 UTC
kernel-stable-Certification-testing-start:Tuesday, 09. February 2016 20:01 UTC
kernel-stable-Security-signoff-start:Tuesday, 09. February 2016 20:02 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Tuesday, 09. February 2016 20:01 UTC
kernel-stable-Security-signoff-end:Wednesday, 10. February 2016 16:01 UTC
kernel-stable-Regression-testing-end:Thursday, 18. February 2016 01:01 UTC
kernel-stable-Verification-testing-end:Thursday, 18. February 2016 16:02 UTC
kernel-stable-phase:CopyToUpdates
kernel-stable-Promote-to-updates-start:Monday, 22. February 2016 10:01 UTC
kernel-stable-phase-changed:Monday, 22. February 2016 10:01 UTC
kernel-stable-Certification-testing-end:Monday, 22. February 2016 10:01 UTC

CVE References

Luis Henriques (henrix) on 2016-02-08
tags: added: kernel-release-tracking-bug
tags: added: block-proposed
tags: added: block-proposed-wily
tags: added: wily
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Wily):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Wily):
status: New → Confirmed
Changed in linux (Ubuntu):
status: New → Confirmed
Luis Henriques (henrix) on 2016-02-08
Changed in linux (Ubuntu):
status: Confirmed → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-wily (14.04.1) - bug 1543520

It was not possible to create or handle the tracking bugs for the following packages (their tracking bugs based on this update must be handled manually):
linux-raspi2

description: updated

 linux | 4.2.0-29.34 | wily-proposed | source
 linux-meta | 4.2.0.29.31 | wily-proposed | source
 linux-signed | 4.2.0-29.34 | wily-proposed | source

Brad Figg (brad-figg) on 2016-02-09
description: updated
Brad Figg (brad-figg) on 2016-02-09
description: updated

Here's the relevant information:

 wily linux 4.2.0-29.34 REGR summary<REGN: 1 MISS: 12 FAIL: 25 GOOD: 114>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

Brad Figg (brad-figg) on 2016-02-10
description: updated
Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have begun testing this -proposed kernel.

Brad Figg (brad-figg) on 2016-02-18
tags: added: qa-testing-passed
description: updated
Brad Figg (brad-figg) on 2016-02-18
description: updated
Brad Figg (brad-figg) on 2016-02-19
tags: removed: block-proposed-wily
Po-Hsu Lin (cypressyew) wrote :

We will need to invalid this task in this cycle, as the satellite installation does not work as expected on Wily testpools this time. Will try to fix this before the next cycle.
Thanks!

Brad Figg (brad-figg) on 2016-02-22
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (43.7 KiB)

This bug was fixed in the package linux - 4.2.0-30.35

---------------
linux (4.2.0-30.35) wily; urgency=low

  [ Seth Forshee ]

  * SAUCE: cred: Add clone_cred() interface
    - LP: #1531747, #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Use mounter's credentials instead of selectively
    raising caps
    - LP: #1531747, #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Skip permission checking for trusted.overlayfs.*
    xattrs
    - LP: #1531747, #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Be more careful about copying up sxid files
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Propogate nosuid from lower and upper mounts
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576

linux (4.2.0-29.34) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1543167

  [ Brad Figg ]

  * Revert "SAUCE: apparmor: fix sleep from invalid context"
    - LP: #1542049

  [ Upstream Kernel Changes ]

  * Revert "af_unix: Revert 'lock_interruptible' in stream receive code"
    - LP: #1540731

linux (4.2.0-28.33) wily; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1540634

  [ Brad Figg ]

  * CONFIG: CONFIG_DEBUG_UART_BCM63XX is not set

  [ J. R. Okajima ]

  * SAUCE: ubuntu: aufs: tiny, extract a new func xino_fwrite_wkq()
    - LP: #1533043
  * SAUCE: ubuntu: aufs: for 4.3, XINO handles EINTR from the dying process
    - LP: #1533043

  [ John Johansen ]

  * SAUCE: (no-up): apparmor: fix for failed mediation of socket that is
    being shutdown
    - LP: #1446906
  * SAUCE: apparmor: fix sleep from invalid context
    - LP: #1539349

  [ Tim Gardner ]

  * [Config] Add pvpanic to virtual flavour
    - LP: #1537923

  [ Upstream Kernel Changes ]

  * Revert "ACPI / LPSS: allow to use specific PM domain during ->probe()"
    - LP: #1540532
  * tools: Add a "make all" rule
    - LP: #1536370
  * vf610_adc: Fix internal temperature calculation
    - LP: #1536370
  * iio: lpc32xx_adc: fix warnings caused by enabling unprepared clock
    - LP: #1536370
  * iio:ad5064: Make sure ad5064_i2c_write() returns 0 on success
    - LP: #1536370
  * iio: ad5064: Fix ad5629/ad5669 shift
    - LP: #1536370
  * iio:ad7793: Fix ad7785 product ID
    - LP: #1536370
  * iio: adc: vf610_adc: Fix division by zero error
    - LP: #1536370
  * mmc: mmc: Improve reliability of mmc_select_hs200()
    - LP: #1536370
  * mmc: mmc: Fix HS setting in mmc_select_hs400()
    - LP: #1536370
  * mmc: mmc: Move mmc_switch_status()
    - LP: #1536370
  * mmc: mmc: Improve reliability of mmc_select_hs400()
    - LP: #1536370
  * crypto: qat - don't use userspace pointer
    - LP: #1536370
  * iio: si7020: Swap data byte order
    - LP: #1536370
  * iio: adc: xilinx: Fix VREFN scale
    - LP: #1536370
  * ipmi: Start the timer and thread on internal msgs
    - LP: #1536370
  * drm/i915: quirk backlight present on Macbook 4, 1
    - LP: #1536370
  * drm/i915: get runtime PM reference around GEM set_caching IOCTL
    - LP: #1536370
  * drm/radeon: Disable uncacheable CPU mappings of GTT with RV6xx
    - LP: #1536370
  *...

Changed in linux (Ubuntu Wily):
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2016-02-22
Changed in kernel-sru-workflow:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers